diff --git a/tests/test_api.py b/tests/test_api.py
index ce5d1ab..b7ab267 100644
--- a/tests/test_api.py
+++ b/tests/test_api.py
@@ -722,9 +841,12 @@ def test_booking_api_meeting_different_durations_book_short(app, meetings_agenda
 
     # the longer event at the same time shouldn't be available anymore
     resp_long2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
-    assert len(resp_long.json['data']) == len([x for x in resp_long2.json['data'] if not x.get('disabled')]) + 1
+    assert (
+        len(resp_long.json['data']) == len([x for x in resp_long2.json['data'] if not x.get('disabled')]) + 1
+    )
     assert resp_long.json['data'][1:] == [x for x in resp_long2.json['data'] if not x.get('disabled')]
 
+
 def test_booking_api_meeting_different_durations_book_long(app, meetings_agenda, user):
     agenda_id = meetings_agenda.id
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
@@ -745,7 +867,10 @@ def test_booking_api_meeting_different_durations_book_long(app, meetings_agenda,
 
     # this should have removed two short events
     resp_short2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type_2.id)
-    assert len(resp_short.json['data']) == len([x for x in resp_short2.json['data'] if not x.get('disabled')]) + 2
+    assert (
+        len(resp_short.json['data'])
+        == len([x for x in resp_short2.json['data'] if not x.get('disabled')]) + 2
+    )
 
     # book another long event
     event_id = resp.json['data'][10]['id']
@@ -754,15 +879,18 @@ def test_booking_api_meeting_different_durations_book_long(app, meetings_agenda,
     assert Booking.objects.count() == 2
 
     resp_short2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type_2.id)
-    assert len(resp_short.json['data']) == len([x for x in resp_short2.json['data'] if not x.get('disabled')]) + 4
+    assert (
+        len(resp_short.json['data'])
+        == len([x for x in resp_short2.json['data'] if not x.get('disabled')]) + 4
+    )
+
 
 def test_booking_api_with_data(app, some_data, user):
     agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id)[0]
 
     app.authorization = ('Basic', ('john.doe', 'password'))
-    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda_id, event.id),
-            params={'hello': 'world'})
+    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda_id, event.id), params={'hello': 'world'})
     assert Booking.objects.count() == 1
     assert Booking.objects.all()[0].extra_data == {'hello': 'world'}
 
@@ -801,11 +929,12 @@ def test_booking_api_available(app, some_data, meetings_agenda, user):
     assert 'places' not in resp.json
 
     # not for multiple booking
-    events = [x for x in Event.objects.filter(agenda=agenda).order_by('start_datetime') if x.in_bookable_period()][:2]
+    events = [
+        x for x in Event.objects.filter(agenda=agenda).order_by('start_datetime') if x.in_bookable_period()
+    ][:2]
     slots = [x.pk for x in events]
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': '3'})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': '3'})
     assert resp.json['err'] == 0
     assert 'places' not in resp.json
 
@@ -822,7 +951,7 @@ def test_booking_api_with_cancel_booking(app, some_data, user):
     # Book a new event and cancel previous booking
     resp = app.post_json(
         '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_1.id),
-        params={'cancel_booking_id': first_booking.pk}
+        params={'cancel_booking_id': first_booking.pk},
     )
     assert resp.json['err'] == 0
     assert resp.json['cancelled_booking_id'] == first_booking.pk
@@ -833,7 +962,7 @@ def test_booking_api_with_cancel_booking(app, some_data, user):
     # Cancelling an already cancelled booking returns an error
     resp = app.post_json(
         '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_1.id),
-        params={'cancel_booking_id': first_booking.pk}
+        params={'cancel_booking_id': first_booking.pk},
     )
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'cancel booking: booking already cancelled'  # legacy
@@ -843,8 +972,7 @@ def test_booking_api_with_cancel_booking(app, some_data, user):
 
     # Cancelling a non existent booking returns an error
     resp = app.post_json(
-        '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_1.id),
-        params={'cancel_booking_id': '-1'}
+        '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_1.id), params={'cancel_booking_id': '-1'}
     )
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'cancel booking: booking does no exist'  # legacy
@@ -853,17 +981,14 @@ def test_booking_api_with_cancel_booking(app, some_data, user):
     assert Booking.objects.count() == 2
 
     # Cancelling booking with different count than new booking
-    resp = app.post_json(
-        '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_2.id),
-        params={'count': 2}
-    )
+    resp = app.post_json('/api/agenda/%s/fillslot/%s/' % (agenda_id, event_2.id), params={'count': 2})
     assert resp.json['err'] == 0
     assert Booking.objects.count() == 4
     booking_id = resp.json['booking_id']
 
     resp = app.post_json(
         '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_3.id),
-        params={'cancel_booking_id': booking_id, 'count': 1}
+        params={'cancel_booking_id': booking_id, 'count': 1},
     )
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'cancel booking: count is different'  # legacy
@@ -875,23 +1000,25 @@ def test_booking_api_with_cancel_booking(app, some_data, user):
     app.post_json(
         '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_0.id),
         params={'cancel_booking_id': 'no an integer'},
-        status=400)
+        status=400,
+    )
 
     # cancel_booking_id can be empty or null
     resp = app.post_json(
-        '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_0.id),
-        params={'cancel_booking_id': ''})
+        '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_0.id), params={'cancel_booking_id': ''}
+    )
     assert resp.json['err'] == 0
     assert 'cancelled_booking_id' not in resp.json
     assert Booking.objects.count() == 5
 
     resp = app.post_json(
-        '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_0.id),
-        params={'cancel_booking_id': None})
+        '/api/agenda/%s/fillslot/%s/' % (agenda_id, event_0.id), params={'cancel_booking_id': None}
+    )
     assert resp.json['err'] == 0
     assert 'cancelled_booking_id' not in resp.json
     assert Booking.objects.count() == 6
 
+
 def test_booking_cancellation_api(app, some_data, user):
     agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id)[0]
@@ -904,6 +1031,7 @@ def test_booking_cancellation_api(app, some_data, user):
     resp = app.delete('/api/booking/%s/' % booking_id)
     assert Booking.objects.filter(cancellation_datetime__isnull=False).count() == 1
 
+
 def test_booking_cancellation_post_api(app, some_data, user):
     agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id)[0]
@@ -924,6 +1052,7 @@ def test_booking_cancellation_post_api(app, some_data, user):
     resp = app.post('/api/booking/%s/cancel/' % booking_id, status=200)
     assert resp.json['err'] == 1
 
+
 def test_booking_cancellation_post_meeting_api(app, meetings_agenda, user):
     agenda_id = Agenda.objects.filter(label=u'Foo bar Meeting')[0].id
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
@@ -948,6 +1077,7 @@ def test_booking_cancellation_post_meeting_api(app, meetings_agenda, user):
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len([x for x in resp.json['data'] if not x.get('disabled')]) == nb_events - 1
 
+
 def test_soldout(app, some_data, user):
     agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id).exclude(start_datetime__lt=now())[0]
@@ -971,6 +1101,7 @@ def test_soldout(app, some_data, user):
     assert resp.json['err_class'] == 'sold out'
     assert resp.json['err_desc'] == 'sold out'
 
+
 def test_status(app, some_data, user):
     agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id)[0]
@@ -1033,6 +1164,7 @@ def test_waiting_list_datetimes(app, some_data, user):
     assert not event.id in [x['id'] for x in resp.json['data'] if not x.get('disabled')]
     assert event.id in [x['id'] for x in resp.json['data'] if x.get('disabled')]
 
+
 def test_waiting_list_booking(app, some_data, user):
     agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id).exclude(start_datetime__lt=now())[0]
@@ -1074,6 +1206,7 @@ def test_waiting_list_booking(app, some_data, user):
     assert resp.json['err_class'] == 'sold out'
     assert resp.json['err_desc'] == 'sold out'
 
+
 def test_accept_booking(app, some_data, user):
     agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id).exclude(start_datetime__lt=now())[0]
@@ -1107,12 +1240,15 @@ def test_accept_booking(app, some_data, user):
     assert Booking.objects.filter(in_waiting_list=True).count() == 1
     assert Booking.objects.filter(in_waiting_list=False).count() == 0
 
+
 def test_multiple_booking_api(app, some_data, user):
     agenda = Agenda.objects.filter(label=u'Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
 
     resp_datetimes = app.get('/api/agenda/%s/datetimes/' % agenda.id)
-    event_fillslot_url = [x for x in resp_datetimes.json['data'] if x['id'] == event.id][0]['api']['fillslot_url']
+    event_fillslot_url = [x for x in resp_datetimes.json['data'] if x['id'] == event.id][0]['api'][
+        'fillslot_url'
+    ]
 
     app.authorization = ('Basic', ('john.doe', 'password'))
     resp = app.post('/api/agenda/%s/fillslot/%s/?count=NaN' % (agenda.slug, event.id), status=400)
@@ -1199,10 +1335,13 @@ def test_multiple_booking_api(app, some_data, user):
     assert Event.objects.get(id=event.id).booked_places == 3
     assert Event.objects.get(id=event.id).waiting_list == 2
 
+
 def test_multiple_booking_api_fillslots(app, some_data, user):
     agenda = Agenda.objects.filter(label=u'Foo bar')[0]
     # get slots of first 2 events
-    events = [x for x in Event.objects.filter(agenda=agenda).order_by('start_datetime') if x.in_bookable_period()][:2]
+    events = [
+        x for x in Event.objects.filter(agenda=agenda).order_by('start_datetime') if x.in_bookable_period()
+    ][:2]
     events_ids = [x.id for x in events]
     resp_datetimes = app.get('/api/agenda/%s/datetimes/' % agenda.id)
     slots = [x['id'] for x in resp_datetimes.json['data'] if x['id'] in events_ids]
@@ -1214,8 +1353,9 @@ def test_multiple_booking_api_fillslots(app, some_data, user):
     assert resp.json['err_class'] == "invalid value for count (NaN)"
     assert resp.json['err_desc'] == "invalid value for count (NaN)"
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': 'NaN'}, status=400)
+    resp = app.post(
+        '/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': 'NaN'}, status=400
+    )
     assert resp.json['err'] == 1
     assert resp.json['reason'] == "invalid payload"  # legacy
     assert resp.json['err_class'] == "invalid payload"
@@ -1223,8 +1363,7 @@ def test_multiple_booking_api_fillslots(app, some_data, user):
     assert 'count' in resp.json['errors']
 
     # get 3 places on 2 slots
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': '3'})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': '3'})
     # one booking with 5 children
     booking = Booking.objects.get(id=resp.json['booking_id'])
     cancel_url = resp.json['api']['cancel_url']
@@ -1236,8 +1375,7 @@ def test_multiple_booking_api_fillslots(app, some_data, user):
     for event in events:
         assert Event.objects.get(id=event.id).booked_places == 3
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': 2})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': 2})
     for event in events:
         assert Event.objects.get(id=event.id).booked_places == 5
 
@@ -1251,8 +1389,7 @@ def test_multiple_booking_api_fillslots(app, some_data, user):
     events[0].waiting_list_places = 8
     events[0].save()
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': 5})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': 5})
     for event in events:
         assert Event.objects.get(id=event.id).booked_places == 2
         assert Event.objects.get(id=event.id).waiting_list == 5
@@ -1260,8 +1397,7 @@ def test_multiple_booking_api_fillslots(app, some_data, user):
 
     return
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': 5})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': 5})
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'sold out'  # legacy
     assert resp.json['err_class'] == 'sold out'
@@ -1283,34 +1419,31 @@ def test_multiple_booking_api_fillslots(app, some_data, user):
     events[0].waiting_list_places = 2
     events[0].save()
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': 5})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': 5})
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'sold out'  # legacy
     assert resp.json['err_class'] == 'sold out'
     assert resp.json['err_desc'] == 'sold out'
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': 3})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': 3})
     assert resp.json['err'] == 0
     for event in events:
         assert Event.objects.get(id=event.id).booked_places == 3
         assert Event.objects.get(id=event.id).waiting_list == 0
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': 3})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': 3})
     assert resp.json['err'] == 1
     assert resp.json['reason'] == 'sold out'  # legacy
     assert resp.json['err_class'] == 'sold out'
     assert resp.json['err_desc'] == 'sold out'
 
-    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug,
-                    params={'slots': slots, 'count': '2'})
+    resp = app.post('/api/agenda/%s/fillslots/' % agenda.slug, params={'slots': slots, 'count': '2'})
     assert resp.json['err'] == 0
     for event in events:
         assert Event.objects.get(id=event.id).booked_places == 3
         assert Event.objects.get(id=event.id).waiting_list == 2
 
+
 def test_agenda_detail_api(app, some_data):
     agenda = Agenda.objects.get(slug='foo-bar')
     resp = app.get('/api/agenda/%s/' % agenda.slug)
@@ -1324,6 +1457,7 @@ def test_agenda_detail_api(app, some_data):
     # unknown
     app.get('/api/agenda/whatever/', status=404)
 
+
 def test_agenda_api_date_range(app, some_data):
     # test range limitation
     agenda2 = Agenda.objects.get(slug='foo-bar2')
@@ -1339,8 +1473,7 @@ def test_agenda_api_date_range(app, some_data):
             day_events = ['8:00']
         day = base_date + datetime.timedelta(days=idx)
         for event in day_events:
-            event_dt = datetime.datetime.combine(
-                day, datetime.datetime.strptime(event, '%H:%M').time())
+            event_dt = datetime.datetime.combine(day, datetime.datetime.strptime(event, '%H:%M').time())
             Event.objects.create(agenda=agenda2, start_datetime=make_aware(event_dt), places=2)
 
     params = {'date_start': base_date.isoformat()}
@@ -1380,6 +1513,7 @@ def test_agenda_api_date_range(app, some_data):
     assert resp.json['data'][0]['datetime'] == '2017-05-30 09:00:00'
     assert resp.json['data'][-1]['datetime'] == '2017-05-30 11:00:00'
 
+
 def test_agenda_meeting_api_multiple_desk(app, meetings_agenda, user):
     app.authorization = ('Basic', ('john.doe', 'password'))
     agenda_id = meetings_agenda.slug
@@ -1396,15 +1530,19 @@ def test_agenda_meeting_api_multiple_desk(app, meetings_agenda, user):
     time_period = meetings_agenda.desk_set.first().timeperiod_set.first()
     desk2 = Desk.objects.create(label='Desk 2', agenda=meetings_agenda)
     TimePeriod.objects.create(
-        start_time=time_period.start_time, end_time=time_period.end_time,
-        weekday=time_period.weekday, desk=desk2)
+        start_time=time_period.start_time,
+        end_time=time_period.end_time,
+        weekday=time_period.weekday,
+        desk=desk2,
+    )
 
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     event_id = resp.json['data'][1]['id']
     resp_booking = app.post('/api/agenda/%s/fillslot/%s/' % (agenda_id, event_id))
     assert Booking.objects.count() == 2
-    assert resp_booking.json['datetime'] == localtime(Booking.objects.last().event.start_datetime
-            ).strftime('%Y-%m-%d %H:%M:%S')
+    assert resp_booking.json['datetime'] == localtime(Booking.objects.last().event.start_datetime).strftime(
+        '%Y-%m-%d %H:%M:%S'
+    )
 
     resp2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == len([x for x in resp2.json['data'] if not x['disabled']]) + 1
@@ -1430,8 +1568,9 @@ def test_agenda_meeting_api_multiple_desk(app, meetings_agenda, user):
         resp = app.post('/api/agenda/%s/fillslot/%s/' % (agenda_id, event_id))
         queries_count_fillslot1 = len(ctx.captured_queries)
 
-    assert resp_booking.json['datetime'] == localtime(Booking.objects.last().event.start_datetime
-            ).strftime('%Y-%m-%d %H:%M:%S')
+    assert resp_booking.json['datetime'] == localtime(Booking.objects.last().event.start_datetime).strftime(
+        '%Y-%m-%d %H:%M:%S'
+    )
     cancel_url = resp.json['api']['cancel_url']
 
     resp3 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
@@ -1446,8 +1585,9 @@ def test_agenda_meeting_api_multiple_desk(app, meetings_agenda, user):
     resp = app.post('/api/agenda/%s/fillslot/%s/' % (agenda_id, event_id))
     assert Booking.objects.count() == 4
     assert Booking.objects.exclude(cancellation_datetime__isnull=True).count() == 2
-    assert resp_booking.json['datetime'] == localtime(Booking.objects.last().event.start_datetime
-            ).strftime('%Y-%m-%d %H:%M:%S')
+    assert resp_booking.json['datetime'] == localtime(Booking.objects.last().event.start_datetime).strftime(
+        '%Y-%m-%d %H:%M:%S'
+    )
 
     # try booking the same timeslot again and fail
     resp = app.post('/api/agenda/%s/fillslot/%s/' % (agenda_id, event_id))
@@ -1467,6 +1607,7 @@ def test_agenda_meeting_api_multiple_desk(app, meetings_agenda, user):
         app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
         assert queries_count_datetime1 == len(ctx.captured_queries)
 
+
 def test_agenda_meeting_api_fillslots_multiple_desks(app, meetings_agenda, user):
     app.authorization = ('Basic', ('john.doe', 'password'))
     agenda_id = meetings_agenda.slug
@@ -1476,8 +1617,11 @@ def test_agenda_meeting_api_fillslots_multiple_desks(app, meetings_agenda, user)
     time_period = meetings_agenda.desk_set.first().timeperiod_set.first()
     desk2 = Desk.objects.create(label='Desk 2', agenda=meetings_agenda)
     TimePeriod.objects.create(
-        start_time=time_period.start_time, end_time=time_period.end_time,
-        weekday=time_period.weekday, desk=desk2)
+        start_time=time_period.start_time,
+        end_time=time_period.end_time,
+        weekday=time_period.weekday,
+        desk=desk2,
+    )
 
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     slots = [x['id'] for x in resp.json['data'][:3]]
@@ -1485,6 +1629,7 @@ def test_agenda_meeting_api_fillslots_multiple_desks(app, meetings_agenda, user)
     def get_free_places():
         resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
         return len([x for x in resp.json['data'] if not x['disabled']])
+
     start_free_places = get_free_places()
 
     # booking 3 slots on desk 1
@@ -1541,6 +1686,7 @@ def test_agenda_meeting_api_fillslots_multiple_desks(app, meetings_agenda, user)
     assert resp.json['desk']['slug'] == desk1
     assert get_free_places() == start_free_places - len(slots)
 
+
 def test_agenda_meeting_same_day(app, meetings_agenda, mock_now, user):
     app.authorization = ('Basic', ('john.doe', 'password'))
     agenda = Agenda(label='Foo', kind='meetings')
@@ -1553,20 +1699,19 @@ def test_agenda_meeting_same_day(app, meetings_agenda, mock_now, user):
     desk2 = Desk.objects.create(label='bar', agenda=agenda)
     for weekday in range(7):
         TimePeriod.objects.create(
-            weekday=weekday, start_time=datetime.time(11, 0), end_time=datetime.time(12, 30),
-            desk=desk1)
+            weekday=weekday, start_time=datetime.time(11, 0), end_time=datetime.time(12, 30), desk=desk1
+        )
         TimePeriod.objects.create(
-            weekday=weekday, start_time=datetime.time(11, 0), end_time=datetime.time(12, 30),
-            desk=desk2)
+            weekday=weekday, start_time=datetime.time(11, 0), end_time=datetime.time(12, 30), desk=desk2
+        )
     resp = app.get(datetime_url)
     event_data = resp.json['data'][0]
     # check first proposed date is on the same day unless we're past the last
     # open timeperiod.
     event_datetime = datetime.datetime.strptime(event_data['datetime'], '%Y-%m-%d %H:%M:%S').timetuple()
-    assert (event_datetime[:3] == mock_now.timetuple()[:3] and
-            event_datetime[3:5] >= mock_now.timetuple()[3:5]) or (
-            event_datetime[:3] > mock_now.timetuple()[:3] and
-            event_datetime[3:5] < mock_now.timetuple()[3:5])
+    assert (
+        event_datetime[:3] == mock_now.timetuple()[:3] and event_datetime[3:5] >= mock_now.timetuple()[3:5]
+    ) or (event_datetime[:3] > mock_now.timetuple()[:3] and event_datetime[3:5] < mock_now.timetuple()[3:5])
 
     # check booking works
     first_booking_url = resp.json['data'][0]['api']['fillslot_url']
@@ -1598,8 +1743,8 @@ def test_agenda_meeting_next_day(app, meetings_agenda, mock_now, user):
     desk = Desk.objects.create(label='foo', agenda=agenda)
     for weekday in range(7):
         time_period = TimePeriod.objects.create(
-            weekday=weekday, start_time=datetime.time(11, 0), end_time=datetime.time(12, 30),
-            desk=desk)
+            weekday=weekday, start_time=datetime.time(11, 0), end_time=datetime.time(12, 30), desk=desk
+        )
     resp = app.get(datetime_url)
     event_data = resp.json['data'][0]
     # check all proposed dates are on the next day
@@ -1631,8 +1776,10 @@ def test_agenda_meeting_api_exception(app, meetings_agenda, user):
     desk = meetings_agenda.desk_set.first()
     # test exception at the lowest limit
     excp1 = TimePeriodException.objects.create(
-        desk=desk, start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 0)),
-        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 0)))
+        desk=desk,
+        start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 0)),
+        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 0)),
+    )
     resp2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == len(resp2.json['data']) + 4
 
@@ -1650,7 +1797,8 @@ def test_agenda_meeting_api_exception(app, meetings_agenda, user):
     TimePeriodException.objects.create(
         desk=excp1.desk,
         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 15, 0)),
-        end_datetime=make_aware(datetime.datetime(2017, 5, 23, 9, 0)))
+        end_datetime=make_aware(datetime.datetime(2017, 5, 23, 9, 0)),
+    )
 
     resp2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == len(resp2.json['data']) + 6
@@ -1659,8 +1807,11 @@ def test_agenda_meeting_api_exception(app, meetings_agenda, user):
     desk2 = Desk.objects.create(label='Desk 2', agenda=meetings_agenda)
     time_period = desk.timeperiod_set.first()
     TimePeriod.objects.create(
-        desk=desk2, start_time=time_period.start_time, end_time=time_period.end_time,
-        weekday=time_period.weekday)
+        desk=desk2,
+        start_time=time_period.start_time,
+        end_time=time_period.end_time,
+        weekday=time_period.weekday,
+    )
     resp3 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == len(resp3.json['data']) + 2  # +2 because excp1 changed
 
@@ -1668,7 +1819,8 @@ def test_agenda_meeting_api_exception(app, meetings_agenda, user):
     TimePeriodException.objects.create(
         desk=desk2,
         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 9, 0)),
-        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 0)))
+        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 0)),
+    )
     booking_url = resp3.json['data'][0]['api']['fillslot_url']
     resp = app.post(booking_url)
     assert resp.json['err'] == 1
@@ -1683,34 +1835,68 @@ def test_agenda_meeting_api_in_between_exceptions(app, meetings_agenda, user):
     TimePeriodException.objects.create(
         desk=desk,
         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 0)),
-        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 0)))
+        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 0)),
+    )
     resp2 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == len(resp2.json['data']) + 4
     # exclude slots on 2017-05-30 and 2017-07-10
     date_2017_05_30 = datetime.datetime(2017, 5, 30).date()
     date_2017_07_10 = datetime.datetime(2017, 7, 10).date()
-    count_on_2017_05_30 = len([
-        datum for datum in resp.json['data'] if datetime_from_str(datum['datetime']).date() == date_2017_05_30])
-    count_on_2017_07_10 = len([
-        datum for datum in resp.json['data'] if datetime_from_str(datum['datetime']).date() == date_2017_07_10])
+    count_on_2017_05_30 = len(
+        [
+            datum
+            for datum in resp.json['data']
+            if datetime_from_str(datum['datetime']).date() == date_2017_05_30
+        ]
+    )
+    count_on_2017_07_10 = len(
+        [
+            datum
+            for datum in resp.json['data']
+            if datetime_from_str(datum['datetime']).date() == date_2017_07_10
+        ]
+    )
     TimePeriodException.objects.create(
         desk=desk,
         start_datetime=make_aware(datetime.datetime(2017, 5, 30, 8, 0)),
-        end_datetime=make_aware(datetime.datetime(2017, 5, 30, 18, 0)))
+        end_datetime=make_aware(datetime.datetime(2017, 5, 30, 18, 0)),
+    )
     TimePeriodException.objects.create(
         desk=desk,
         start_datetime=make_aware(datetime.datetime(2017, 7, 10, 8, 0)),
-        end_datetime=make_aware(datetime.datetime(2017, 7, 10, 18, 0)))
+        end_datetime=make_aware(datetime.datetime(2017, 7, 10, 18, 0)),
+    )
     resp3 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp2.json['data']) == len(resp3.json['data']) + count_on_2017_05_30 + count_on_2017_07_10
-    assert len([datum for datum in resp3.json['data'] if datetime_from_str(datum['datetime']).date() == date_2017_05_30]) == 0
-    assert len([datum for datum in resp3.json['data'] if datetime_from_str(datum['datetime']).date() == date_2017_07_10]) == 0
+    assert (
+        len(
+            [
+                datum
+                for datum in resp3.json['data']
+                if datetime_from_str(datum['datetime']).date() == date_2017_05_30
+            ]
+        )
+        == 0
+    )
+    assert (
+        len(
+            [
+                datum
+                for datum in resp3.json['data']
+                if datetime_from_str(datum['datetime']).date() == date_2017_07_10
+            ]
+        )
+        == 0
+    )
     # with a second desk with the same time periods
     desk2 = Desk.objects.create(label='Desk 2', agenda=meetings_agenda)
     for time_period in desk.timeperiod_set.all():
         TimePeriod.objects.create(
-            desk=desk2, start_time=time_period.start_time, end_time=time_period.end_time,
-            weekday=time_period.weekday)
+            desk=desk2,
+            start_time=time_period.start_time,
+            end_time=time_period.end_time,
+            weekday=time_period.weekday,
+        )
     resp4 = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     assert len(resp.json['data']) == len(resp4.json['data'])
 
@@ -1722,8 +1908,11 @@ def test_agenda_meeting_api_desk_info(app, meetings_agenda, user):
     desk2 = Desk.objects.create(label='Desk 2', agenda=meetings_agenda)
     for time_period in desk.timeperiod_set.all():
         TimePeriod.objects.create(
-            desk=desk2, start_time=time_period.start_time, end_time=time_period.end_time,
-            weekday=time_period.weekday)
+            desk=desk2,
+            start_time=time_period.start_time,
+            end_time=time_period.end_time,
+            weekday=time_period.weekday,
+        )
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     booking_url = resp.json['data'][0]['api']['fillslot_url']
     booking_url2 = resp.json['data'][3]['api']['fillslot_url']
@@ -1792,9 +1981,13 @@ def test_agenda_meeting_gcd_durations(app, meetings_agenda, user):
     assert Booking.objects.count() == 4
 
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type_20.id)
-    assert [x for x in resp.json['data'] if not x.get('disabled')][0]['datetime'].startswith('2017-05-22 12:00:00')
+    assert [x for x in resp.json['data'] if not x.get('disabled')][0]['datetime'].startswith(
+        '2017-05-22 12:00:00'
+    )
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type_30.id)
-    assert [x for x in resp.json['data'] if not x.get('disabled')][0]['datetime'].startswith('2017-05-22 12:00:00')
+    assert [x for x in resp.json['data'] if not x.get('disabled')][0]['datetime'].startswith(
+        '2017-05-22 12:00:00'
+    )
 
 
 def test_agenda_meeting_gcd_durations_and_exceptions(app, meetings_agenda, user):
@@ -1820,7 +2013,8 @@ def test_agenda_meeting_gcd_durations_and_exceptions(app, meetings_agenda, user)
     TimePeriodException.objects.create(
         desk=desk,
         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 20)),
-        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 0)))
+        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 0)),
+    )
 
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type_20.id)
     assert len(resp.json['data']) == 1
